Stampfactory
Dokumentation
Schichttausch

Tausch ablehnen

POST
/shift_swaps/{shiftSwap}/deny
AuthentifizierungBearer <token>

Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).

Ort: header

Pfadparameter

shiftSwap*string

The shift swap ID

Formatuuid

Request-Body

application/json

TypeScript-Definitionen

TypeScript-Typ für request body.

Response-Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/shift_swaps/497f6eca-6276-4993-bfeb-53cbbbba6f08/deny" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "string",    "requester_entry_id": "string",    "requester_entry": {      "id": "string",      "roster_id": "string",      "employee_id": "string",      "employee_name": "string",      "date": "string",      "shift_id": "string",      "shift": {        "id": "string",        "name": "string",        "abbreviation": "string",        "color": "string",        "start_time": "string",        "end_time": "string",        "break_duration": "string",        "is_overnight": "string",        "schedule_model_id": "string",        "work_area_id": "string",        "tags": "string",        "note": "string",        "fairness_weight": 0,        "net_duration_ms": 0      },      "start_time": "string",      "end_time": "string",      "effective_start": "string",      "effective_end": "string",      "planned_work": "string",      "note": "string",      "work_area_id": "string",      "effective_work_area_id": "string",      "status": "string",      "generated": true,      "series_id": "string",      "source_unit_id": "string",      "source_unit": {        "id": "string",        "name": "string"      },      "is_cross_unit": true,      "published_at": "string",      "is_open": true,      "applications_count": 0,      "acknowledgement": {        "pending": 0,        "acknowledged": 0,        "status": "pending",        "acknowledged_at": "string"      },      "my_application": null,      "warnings": []    },    "requester_employee": "string",    "target_employee_id": "string",    "target_employee": "string",    "target_entry_id": "string",    "target_entry": {      "id": "string",      "roster_id": "string",      "employee_id": "string",      "employee_name": "string",      "date": "string",      "shift_id": "string",      "shift": {        "id": "string",        "name": "string",        "abbreviation": "string",        "color": "string",        "start_time": "string",        "end_time": "string",        "break_duration": "string",        "is_overnight": "string",        "schedule_model_id": "string",        "work_area_id": "string",        "tags": "string",        "note": "string",        "fairness_weight": 0,        "net_duration_ms": 0      },      "start_time": "string",      "end_time": "string",      "effective_start": "string",      "effective_end": "string",      "planned_work": "string",      "note": "string",      "work_area_id": "string",      "effective_work_area_id": "string",      "status": "string",      "generated": true,      "series_id": "string",      "source_unit_id": "string",      "source_unit": {        "id": "string",        "name": "string"      },      "is_cross_unit": true,      "published_at": "string",      "is_open": true,      "applications_count": 0,      "acknowledgement": {        "pending": 0,        "acknowledged": 0,        "status": "pending",        "acknowledged_at": "string"      },      "my_application": null,      "warnings": []    },    "status": "string",    "manager_id": "string",    "auto_approved": true,    "resolution": "string",    "note": "string",    "created_at": "string",    "preview_warnings": [      {        "code": "string",        "severity": "string",        "message": "string"      }    ]  }}